about summary refs log tree commit diff
path: root/launchd_scripts/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'launchd_scripts/bootstrap.sh')
-rwxr-xr-xlaunchd_scripts/bootstrap.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/launchd_scripts/bootstrap.sh b/launchd_scripts/bootstrap.sh
new file mode 100755
index 000000000000..0df2689ae18e
--- /dev/null
+++ b/launchd_scripts/bootstrap.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+
+# Unload scripts in case there have been changes since it was last loaded.
+echo -n "Unloading personal *.plist files... " &&
+launchctl unload ~/Library/LaunchAgents/watch_volumes.plist &&
+echo "Done." || echo "Error."
+
+
+# Remove *.plist symlinks created last time.
+echo -n "Removing *.plist symlinks... " &&
+rm ~/Library/LaunchAgents/watch_volumes.plist &&
+echo "Done." || echo "Error."
+
+
+# Process the *.tpl files, replacing global identifiers with the values
+# from vars.json.
+echo -n "Processing *.tpl files... " &&
+. ./process_files.sh &&
+echo "Done." || echo "Error."
+
+
+# Recreate those symlinks.
+echo -n "Recreating *.plist symlinks to ~/Library/LaunchAgents ... " &&
+ln -s ~/pc_settings/launchd_scripts/watch_volumes.plist \
+  ~/Library/LaunchAgents/watch_volumes.plist &&
+echo "Done." || echo "Error."
+
+
+# Reload scripts in case there have been changes since it was last loaded.
+echo -n "Reloading personal *.plist files... " &&
+launchctl load ~/Library/LaunchAgents/watch_volumes.plist &&
+echo "Done." || echo "Error."
+